Bug 14190 - Scale search boxes in staff head
Summary: Scale search boxes in staff head
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Eivin Giske Skaaren
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14189
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-12 20:49 UTC by Viktor Sarge
Modified: 2016-06-21 21:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14190: Scale search boxes in staff head (1.46 KB, patch)
2015-10-18 14:31 UTC, Eivin Giske Skaaren
Details | Diff | Splinter Review
Bug 14190: Scale search boxes in staff head (1.59 KB, patch)
2015-10-18 14:58 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14190: Scale search boxes in staff head (1.65 KB, patch)
2015-10-25 09:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Sarge 2015-05-12 20:49:40 UTC
I've had pointed out to me that the search boxes in the head of the staff interface in unnecessarily small. For catalog search it could even shape the expectation of how many search terms is expected and unconsciously steer librarians towards broader searches. Since screens is often bigger these days and the area right of the search box is unused it seems a bit conservative to go with "size 40". 

I suggest that we make the container float up to some max size and then let the individual search boxes be for example size 60 but also have the CSS rule of "width:100%" to resize with the container. That way it will use the space better, scale up and down and still not become ridiculously huge on a 27".
Comment 1 Eivin Giske Skaaren 2015-05-17 19:47:37 UTC
Changes here may cause a merge conflict with the signed off 14189 since some of the same files must be updated.
Comment 2 Viktor Sarge 2015-05-17 20:00:55 UTC
Owen - we'll gladly let you write this patch. But give us a shout if not since Eivin is ready to write it otherwise.
Comment 3 Viktor Sarge 2015-05-17 20:11:11 UTC
Got an update from Cait that template bugs are auto assigned to Owen so we're going for this one ourselves :)
Comment 4 Eivin Giske Skaaren 2015-10-18 14:31:49 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-10-18 14:58:36 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-10-25 09:46:33 UTC
Created attachment 43945 [details] [review]
[PASSED QA] Bug 14190: Scale search boxes in staff head

In this simple patch the width gets controlled by CSS and it becomes
easy to set it in just one place.

The exact width may need to be discussed but I thought 30em made it look ok on my screen.
With this patch we get the wider search boxes with a very small change and another bug may
be created if needed to do a bigger refactor and remove stuff not needed in the html and
perhaps do this in a modern/responsive way. (Preferrably a UX/GUI developer will do this)

To test:

Apply the patch and reload the staff client. Now the search box is a bit wider and the border
etc has changed with it.

Some places with more than one search box like "Serials" will not be affected.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2015-10-25 09:48:10 UTC
I think this is really a question of taste somehow. I am passing this, as it can be easily changed back with a line in IntranetUserCSS and we can see how people like it :)
Comment 8 Tomás Cohen Arazi 2015-10-27 19:46:55 UTC
Patch pushed to master.

Thanks Eivin and congratulations for your commit!